org.apache.felix.ipojo

## Class ConfigurationTracker

- java.lang.Object
- - org.apache.felix.ipojo.ConfigurationTracker

All Implemented Interfaces:
  org.osgi.service.cm.ConfigurationListener

    public class ConfigurationTracker
    extends java.lang.Object
    implements org.osgi.service.cm.ConfigurationListener

An object tracking configuration from the configuration admin. It delegates to the underlying factories or component instance the action.

This class implements a Configuration Listener, so events are received asynchronously.

### Constructor Summary

Constructors
Constructor and Description
`ConfigurationTracker()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `configurationEvent(org.osgi.service.cm.ConfigurationEvent event)`
`void` `dispose()` This method must be called by the iPOJO System itself, and only once.
`java.util.List<org.osgi.service.cm.Configuration>` `findFactoryConfiguration(org.osgi.service.cm.ConfigurationAdmin admin, IPojoFactory factory)`
`org.osgi.service.cm.Configuration` `findSingletonConfiguration(org.osgi.service.cm.ConfigurationAdmin admin, java.lang.String pid)`
`static ConfigurationTracker` `get()`
`static void` `initialize()`
`void` `instanceCreated(ComponentInstance instance)`
`void` `registerFactory(IPojoFactory factory)`
`static void` `shutdown()`
`void` `unregisterFactory(IPojoFactory factory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigurationTracker

    public ConfigurationTracker()

### Method Detail

#### initialize

    public static void initialize()

#### shutdown

    public static void shutdown()

#### get

    public static ConfigurationTracker get()

#### dispose

    public void dispose()

This method must be called by the iPOJO System itself, and only once.

#### registerFactory

    public void registerFactory(IPojoFactory factory)

#### instanceCreated

    public void instanceCreated(ComponentInstance instance)

#### unregisterFactory

    public void unregisterFactory(IPojoFactory factory)

#### configurationEvent

    public void configurationEvent(org.osgi.service.cm.ConfigurationEvent event)

Specified by:
  `configurationEvent` in interface `org.osgi.service.cm.ConfigurationListener`

#### findFactoryConfiguration

    public java.util.List<org.osgi.service.cm.Configuration> findFactoryConfiguration(org.osgi.service.cm.ConfigurationAdmin admin,
                                                                                      IPojoFactory factory)

#### findSingletonConfiguration

    public org.osgi.service.cm.Configuration findSingletonConfiguration(org.osgi.service.cm.ConfigurationAdmin admin,
                                                                        java.lang.String pid)